aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib/yapf_code.sh
diff options
context:
space:
mode:
authorGravatar Nathaniel Manista <nathaniel@google.com>2017-02-15 23:07:40 +0000
committerGravatar Nathaniel Manista <nathaniel@google.com>2017-02-15 23:07:40 +0000
commitb3a1ec2111676d1504e1fdef41fdf8e046c1e283 (patch)
tree798c64dbe74c4d779b4e8e5f8a806794f3d86249 /tools/distrib/yapf_code.sh
parent73495e3b3507438828d34376fa06fd68db18250e (diff)
Output diff on failed yapf sanity
Diffstat (limited to 'tools/distrib/yapf_code.sh')
-rwxr-xr-xtools/distrib/yapf_code.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/distrib/yapf_code.sh b/tools/distrib/yapf_code.sh
index 030412ebeb..007b14810e 100755
--- a/tools/distrib/yapf_code.sh
+++ b/tools/distrib/yapf_code.sh
@@ -53,7 +53,7 @@ for dir in $DIRS; do
tempdir=`mktemp -d`
cp -RT $dir $tempdir
$PYTHON -m yapf -i -r -p $exclusion_args $dir
- if ! diff -rq $dir $tempdir; then
+ if ! diff -r $dir $tempdir; then
script_result=1
fi
rm -rf $tempdir